Subject: Re: [stir] Review of draft-ietf-stir-rph-emergency-services

From: Chris Wendt <[email-masked]>
Date: Fri, 9 Oct 2020 10:18:18 -0400

So, we had discussions with the experts on ‘rph’ and emergency services and agreed to do a 03 rev of this draft that does indeed modify the procedures to remove the ESOrig/ESCallback and incorporate the esnet.x value into the “auth” object array.  Hopefully this addresses the concerns and makes things a bit simpler.  Thanks for the input.

Please, to everyone, review and provide comments.

Thanks.

-Chris

> On Sep 3, 2020, at 9:28 AM, Jack Rickard <[email-masked]> wrote:
> 
> I agree with what you have said there, however Section 4.2 of 8443 also states that you should strip from the INVITE any 'Resource-Priority' header that isn't validated by the passports, which in this case would be the "esnet.x" header. This doesn't seem like a good behaviour to me, which is why I think "esnet" should go in the "auth" claim (as an signing service that didn't implement this would do anyway), at which point I don't see what utility the "ES*" claims provide.
>  
> Thanks,
> Jack
>  
> From: Chris Wendt <[email-masked]> 
> Sent: 02 September 2020 21:00
> To: Jack Rickard <[email-masked]>
> Cc: Brian Rosen <[email-masked]>; [email-masked]; [email-masked]
> Subject: Re: [stir] Review of draft-ietf-stir-rph-emergency-services
>  
> Not sure why they would break anything.  I think the idea is that if you are doing emergency services you should not include “auth” key and value.  If you implement only 8443 and you only know what to do with “auth” and “auth” is not included in the PASSporT you are verifying, you must ignore other key values you don’t understand. Therefore the validation will fail and you should not try to provide any type of priority service with that call.  This is approach for all PASSporTs with newly defined claims and key values in general.  
>  
> -Chris
> 
> 
> On Sep 2, 2020, at 5:33 AM, Jack Rickard <[email-masked] <mailto:[email-masked]>> wrote:
>  
> Hi Chris,
>  
> I'm still unconvinced about the ESorig and EScallback keys, I'm happy for them to be added as long as they don't break anything. The problem I see is with an intermediate that implements 8443 but not this spec: if "esnet.x" isn't in the auth claim the it should remove "esnet.x" from the 'Resource-Priority' header, which seems like a bad thing to me. Even with this spec it's not currently clear that you shouldn't do that as there's nothing overriding that text from 8443 currently.
>  
> As for compact form, I'm perfectly happy with it remaining unspecified, it just surprised me.
>  
> Thanks,
> Jack
>  
> From: Chris Wendt <[email-masked] <mailto:[email-masked]>> 
> Sent: 25 August 2020 16:15
> To: Jack Rickard <[email-masked] <mailto:[email-masked]>>
> Cc: Brian Rosen <[email-masked] <mailto:[email-masked]>>; [email-masked] <mailto:[email-masked]>; [email-masked] <mailto:[email-masked]>
> Subject: Re: [stir] Review of draft-ietf-stir-rph-emergency-services
>  
> Hi Jack, 
>  
> I think we still want to keep “auth” and “ESorig/ESCallback” as separate and distinct key/value objects, i see your comments as maybe disagreement stylistically but didn’t see anything to suggest that it wouldn’t work.  The reasoning though is that “auth” is intended to be specific to priority services only, not extensible for other applications.  And the fact of the matter is key/values are cheap, no reason we can’t have new values and be explicit about the intent.  This document is specific to 911 and emergency services and to extend the key/values defined for ‘rph’ claim and ‘rph’ PASSporT extension.
>  
> I will make this clearer in the document and explicitly say that “auth” should not be used for emergency services purposes of using resource priority header.
>  
> I think it would also make sense to make it clear that that this document extends 8443 and linking the documents.
>  
> For compact form, we think it would confuse folks to add provisions for compact form or allow it for little gain, and therefore prefer to leave it undefined.
>  
> Thanks.
>  
> -Chris
> 
> 
> 
> On Aug 20, 2020, at 1:30 PM, Jack Rickard <[email-masked] <mailto:[email-masked]>> wrote:
>  
> It's not clear that this spec relies on that, and I'm not sure that it should? To me it seems like this could be more widely applicable.
>  
> Would you be able to address, from a verification service's point of view, what it should do? I think that will clear up why "Esorig" and "EScallback" are useful above plain "auth".
> I think the spec would benefit from that section as well Section 4 of RFC 8443 and section 11 of draft-ietf-stir-passport-rcd-06 are both incredibly useful.
>  
> Thanks,
> Jack
>  
> From: Brian Rosen <[email-masked] <mailto:[email-masked]>> 
> Sent: 19 August 2020 14:40
> To: Jack Rickard <[email-masked] <mailto:[email-masked]>>
> Cc: [email-masked] <mailto:[email-masked]>; [email-masked] <mailto:[email-masked]>
> Subject: Re: [stir] Review of draft-ietf-stir-rph-emergency-services
>  
> About 20% of the US has now upgraded to NG9-1-1, although most service providers haven’t yet.  The wireless carriers are moving towards it; testing is underway.  
> I will have a companion document in sipcore that handles the signaling aspects of this mechanism.  For the older E911 system, none of stir really helps because the existing system is built on the older Class 4 switches (“Selective Routers”).  All of this mechanism is for NG9-1-1 and the equivalent services in the rest of the world, based on IETF standards (RFC6881, RFC5222, and several others).  
> 
> 
> 
> 
> On Aug 19, 2020, at 7:19 AM, Jack Rickard <[email-masked] <mailto:[email-masked]>> wrote:
>  
> Thanks, that's really useful, however, I'm not convinced.
>  
> For ESorig, as far as I know this isn't currently always the case, I am aware of situations where emergency calls just look like normal calls with a number of 911. I'm also still unclear about what affect this has, as you can currently already sign emergency calls using the standard mechanisms (barring the whole "urn:service:sos" tn which I don't believe is standardised for STIR yet?)  by putting "esnet.0" in the auth field of an rph passport.
>  
> For EScallback, if the sph and "rph.auth" claims cover theis entirely why is EScallback needed? I'm also still unclear what the verification service behaviour is here.
>  
> I'm still unclear as to how this spec helps with allowing and preventing malicious use of emergency calls. You can already put esnet resource priority pairs in the "rph.auth" claim and that seems to provide as much security as this does. I do agree the sph claim does provide value, however.
>  
> I did just realise that the esnet Resource Priority needs to be in the "rph.auth" claim or the logic from that rfc will kick in and remove it, as per:
> RFC 8443, section 4.2
>    In such scenarios, the SIP 'Resource-Priority' header field SHOULD be
>    stripped from the SIP request, and the network entities should treat
>    the call as an ordinary call.
>  
> I'll note that some of my questions and concerns haven't been addressed yet, I'm happy to resolve this first, just making a note so that they don't get lost/I don't forget about them.
> Jack
>  
> From: Brian Rosen <[email-masked] <mailto:[email-masked]>> 
> Sent: 18 August 2020 22:31
> To: Jack Rickard <[email-masked] <mailto:[email-masked]>>
> Cc: [email-masked] <mailto:[email-masked]>; [email-masked] <mailto:[email-masked]>
> Subject: Re: [stir] Review of draft-ietf-stir-rph-emergency-services
>  
> Let’s keep the two use cases separate: 
> ESorig is an emergency call (user to authority).
> EScallback is a call from authority to user.
>  
> For ESorg, the call is marked with a Request-URI of urn:service:sos.  The “To” field is ignored in routing and handling the call.  That’s how you know this is an emergency call.   For stir purposes, the From is an ordinary identifier, and gets treated in the normal way.  However, the rph value can only be used by a valid emergency call, and a valid emergency call is a Request URI of urn:service:sos, and a valid From.  So you don’t have any knowledge of emergency services identifiers, only the Request URI of urn:service:sos.   
>  
> For EScallback, the marking is a distinguished value in SIP Priority.  If a call has that value, it’s a call back.  The originating service provider knows who are the authorities who are allowed to place call backs, so the check is what is in SIP Priority, and one of the allowed authorities in From.  As a practical matter, in most cases, the call will be signed by the emergency authorities themselves, who will be able to get appropriate credentials for this purpose.  In most cases I’m aware of, the To in an emergency call won’t match the From in a Callback, but it’s possible for that to happen, and we want to allow it.
>  
> Esnet is a Resource Priority Header namespace, not a SIP Priority value.  We’re allowing emergency calls and call backs to use rph, and we’re protecting against malicious use of it.  So unless the call has urn:service:sos in Request URI, or the right SIP Priority in a call back (and from an authorized authority) they can’t use rph with the esnet namespace.  Generally, unless under attack, emergency calls go through even if there isn’t a passport.  Many networks won’t offer actual priority to emergency calls, but the emergency services networks (ESInets) will.  
>  
> If a call arrives anywhere with an rph using esnet, and isn’t an emergency call, with the appropriate passport,  any intermediary can refuse to give it any priority,  The emergency authorities may accept a call without a valid passport, but they might treat it with much more suspicion than they would any other call.
>  
> For call backs, the network may have special behavior.  For example, it may send the call to the device that placed the emergency call, rather than, for example, voice mail.  The network has to be able to trust that SIP Priority is set appropriately.  It will also have rph using esnet, and the network can grant it appropriate priority if it has that capability, and would not allow esnet otherwise.
>  
> The only value in covering other uses of SIP Priority is to protect against middle boxes modifying it.  We don’t really have use cases for that.  It probably wouldn’t hurt to allow it though.
>  
> Does that help?
>  
> Brian
>  
> 
> 
> 
> 
> 
> On Aug 14, 2020, at 1:21 PM, Jack Rickard <Jack.Rickard=[email-masked] <mailto:Jack.Rickard=[email-masked]>> wrote:
>  
> I have reviewed draft-ietf-stir-rph-emergency-services-02 and have some concerns and questions. I don't believe this spec is implementable in its current form.
>  
> Thanks,
> Jack
>  
> Why are "ESorig" and "EScallback" distinct?
> They seem to serve a very similar purpose with the only difference being whether orig or dest should be the emergency services. I don't believe there's any check that can be done to validate:
>    When using "ESorig" as the "rph" assertion value, the "orig" claim of
>    the PASSporT MUST represent the calling party number that initiates
>    the call to emergency services.
> This (and the equivalent statement for EScallback) don't seem possible to me to check (barring the standard orig/dest checking)..
> This would make the check "at least one of the parties should be the emergency services" enough to validate that this was a reasonable call.
>  
>  
> Why have them at all rather than just using auth?
> This is very possibly an issue with my understanding, but I'm not clear on why "ESorig" and "EScallback" even need to exist. "esnet.0" etc. are SIP Resource Priority headers, so should be included in the "auth" field anyway by the RPH spec. This spec appears to apply extra constraints (that a one of the callers must be the emergency services) for the "esnet" namespace but it's not clear why entirely separate claims are needed.
>  
> In a similar vein, what should a verifier do if it receives a call containing an invalid "ESorig" or "EScallback" value or the passport is invalid/untrusted, I'm assuming the behaviour is the same as for auth but this isn't clear. Although stripping the fact that this is an emergency call is potentially dangerous..
>  
>  
> Specify the type of the "ESorig" and "EScallback" claims.
> This specification currently doesn't specify the type of the new fields, there are only examples and this isn't enough. It looks like they both follow the same scheme as the rph "auth" claim, however "esnet,x" doesn't quite fit into that due to the comma and that x isn't a valid priority value.
>  
>  
> Why is sph limited to psap-callback? What should the verifier do if it isn't that? What should it do if it is?
> I'm not entirely clear on the purpose of the sph claim, however, it seems odd that it doesn't cover the full range of possible values for the SIP Priority Header. Is there a reason that it doesn't cover the "non-urgent", "normal", "urgent", or "emergency" values?
> There is also no verifier behaviour defined here, should the verifier remove the Priority header if it receives an invite with no passports signing for it? That seems dangerous to me but would be consistent with rph. Alternatively, what should the verifier do if it receives an invite with a valid passport claiming sph but with no Priority header should it add it in? I'm not sure the spec needs to be too prescriptive here, however some mention of verifier behaviour and the associated security considerations would be useful.
> 
> 
> Should the spec be stronger about the compact form?
> Section 3 currently states
>    The use of the compact form of PASSporT is not specified in this
>    document.
> However, a compact-form passport following this spec would be hard to verify as it introduces multiple possible rph variants, I think this spec could go further and say you shouldn't/mustn't.
> 
> 
> What is the requirement of these new parameters.
> As I understand it, the passport spec allows you to create a passport containing whatever JWT fields you want and verifiers should just ignore any fields they don't understand. Unless the "ppt" claim is set, which indicates that verifiers should discard it if they don't recognise that passport type. As this spec adds additional fields to an existing passport type it isn't immediately clear what the behaviour should be. Specifically, is an rph passport containing only "rph.ESorig" valid now (where it wouldn't be before because auth isn't present), is an rph passport containing no rph and only sph valid, and what does a non-rph passport with sph or ESorig set mean?
>  
> _______________________________________________
> stir mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/stir <https://nam10.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fstir&data=02%7C01%7CJack.Rickard%40metaswitch.com%7Cfec57c0e64a34156473508d84f7aca06%7C9d9e56ebf6134ddbb27bbfcdf14b2cdb%7C1%7C0%7C637346736096811076&sdata=3BmcGhTMxrGQCmpjDQGV5sG0lCcYViU%2FxpjBJv3mlb0%3D&reserved=0>

---

From: "Asveren, Tolga" <[email-masked]>
Date: Sat, 10 Oct 2020 22:29:12 +0000

Not really related to the recent change but a few questions/comments:

i-
   This document adds new "auth" array key values for a Resource
   Priority Header ("rph") claim defined in [RFC8443]
Was there really a restriction in RFC8443 on the values possibly can be used for “rph” claim? My reading is there wasn’t. I would say this draft is not adding new key values but defines semantics associated with some key values.

ii- In addition, the PASSPorT claims and values
   defined in this document are intended for use in environments where
   there are means to verify that the signer of the SIP 'Resource-
   Priority' and 'Priority' header fields is authoritative.
Isn’t this already covered by “7.2 Solution Considerations” in RFC8443 in a generic way?

iii- Means to verify that the signer of Resource-Priority/Priority header fields is authoritative
It seems the following section from draft-rosen-stir-emergency-calls-00 is relevant:
Many countries are starting to adopt the emergency calling paradigms
   promulgated by the IETF.  For example, in North America, the [i3<https://tools.ietf.org/html/draft-rosen-stir-emergency-calls-00#ref-i3>]
   standard defines IP based emergency calling networks, drawing from
   IETF work.  In those systems, a PKI is being created, with a trusted
   root, the "PSAP Credentialing Agency" (PCA).  The PCA provides a root
   of trust that could be used to sign call-backs protecting the SIP
   Priority and Resource Priority header fields.
Arguably an alternative would be adding a new extension to STIR certificates a la TN Authorization List in RFC8226. Actually I would prefer this approach as it would eliminate ambiguity, would just work with a single certificate/PKI and be generically applicable.

iv- A question regarding draft-rosen-stir-emergency-calls-00

   This document recommends that emergency calls from outside an
   Emergency Services IP Network be assigned esnet.0.
Should this ne esnet.1? If it indeed it esnet.0 then why is the value esnet.1 for emergency calls in draft-ietf-rph-emergency-services?

Thanks,
Tolga

From: stir <[email-masked]> On Behalf Of Chris Wendt
Sent: Friday, October 9, 2020 10:18 AM
To: Jack Rickard <[email-masked]>
Cc: [email-masked]; [email-masked]; Brian Rosen <[email-masked]>
Subject: Re: [stir] Review of draft-ietf-stir-rph-emergency-services

________________________________
NOTICE: This email was received from an EXTERNAL sender
________________________________

Thanks.

-Chris

On Sep 3, 2020, at 9:28 AM, Jack Rickard <[email-masked]<mailto:[email-masked]>> wrote:

Thanks,
Jack

From: Chris Wendt <[email-masked]<mailto:[email-masked]>>
Sent: 02 September 2020 21:00
To: Jack Rickard <[email-masked]<mailto:[email-masked]>>
Cc: Brian Rosen <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [stir] Review of draft-ietf-stir-rph-emergency-services

-Chris

On Sep 2, 2020, at 5:33 AM, Jack Rickard <[email-masked]<mailto:[email-masked]>> wrote:

Hi Chris,

Thanks,
Jack

From: Chris Wendt <[email-masked]<mailto:[email-masked]>>
Sent: 25 August 2020 16:15
To: Jack Rickard <[email-masked]<mailto:[email-masked]>>
Cc: Brian Rosen <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [stir] Review of draft-ietf-stir-rph-emergency-services

Hi Jack,

Thanks.

-Chris

On Aug 20, 2020, at 1:30 PM, Jack Rickard <[email-masked]<mailto:[email-masked]>> wrote:

Thanks,
Jack

From: Brian Rosen <[email-masked]<mailto:[email-masked]>>
Sent: 19 August 2020 14:40
To: Jack Rickard <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [stir] Review of draft-ietf-stir-rph-emergency-services

On Aug 19, 2020, at 7:19 AM, Jack Rickard <[email-masked]<mailto:[email-masked]>> wrote:

From: Brian Rosen <[email-masked]<mailto:[email-masked]>>
Sent: 18 August 2020 22:31
To: Jack Rickard <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [stir] Review of draft-ietf-stir-rph-emergency-services

Does that help?

Brian

On Aug 14, 2020, at 1:21 PM, Jack Rickard <Jack.Rickard=[email-masked]<mailto:Jack.Rickard=[email-masked]>> wrote:

Thanks,
Jack

   document.

_______________________________________________
stir mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/stir<https://nam10.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fstir&data=02%7C01%7CJack.Rickard%40metaswitch.com%7Cfec57c0e64a34156473508d84f7aca06%7C9d9e56ebf6134ddbb27bbfcdf14b2cdb%7C1%7C0%7C637346736096811076&sdata=3BmcGhTMxrGQCmpjDQGV5sG0lCcYViU%2FxpjBJv3mlb0%3D&reserved=0>

-----------------------------------------------------------------------------------------------------------------------
Notice: This e-mail together with any attachments may contain information of Ribbon Communications Inc. that
is confidential and/or proprietary for the sole use of the intended recipient.  Any review, disclosure, reliance or
distribution by others or forwarding without express permission is strictly prohibited.  If you are not the intended
recipient, please notify the sender immediately and then delete all copies, including any attachments.
-----------------------------------------------------------------------------------------------------------------------

---

From: Brian Rosen <[email-masked]>
Date: Mon, 12 Oct 2020 10:19:10 -0400

> Should this ne esnet.1? If it indeed it esnet.0 then why is the value esnet.1 for emergency calls in draft-ietf-rph-emergency-services?
Emergency Calls are handled by a Emergency Services IP network (ESInet).  That network has to handle a lot of different kinds of emergency communications, some higher priority and some lower priority.  Esnet.1 was chosen to reflect this,  Outside the ESInet, at least for the past decades, emergency calling (9-1-1, 1-1-2, etc.) is the lowest priority and in many networks, gets no priority at all.  So marking with esnet.0 seems closest to reality.  It is somewhat annoying to have to remap at the boundary to the ESInet, but it has to police the marking anyway, so no actual added complexity.  I’d be okay with making the recommended marking esnet.1 if it confuses readers.

Brian

---

From: Brian Rosen <[email-masked]>
Date: Mon, 12 Oct 2020 10:37:42 -0400

I was reminded that actually, we did agree to change it to avoid confusion.  So it will be esnet.1

> On Oct 12, 2020, at 10:19 AM, Brian Rosen <[email-masked]> wrote:
> 
>>

---

From: Jack Rickard <[email-masked]>
Date: Mon, 26 Oct 2020 12:13:38 +0000

Thank you, this addresses the vast majority of my concerns and feels much simpler. I'd like a couple of minor clarifications around the "sph" claim but overall I'm much happier with this document.

Clarifications:

  1.  At the start of the second paragraph of section 4 it states:
> We define a new claim key as part of the "rph" PASSporT, "sph"
It's not entirely clear what this means, I'm assuming this "sph" claim is optional (otherwise there would be interoperability issues), but if so how is it tied to the "rph" passport extension? The stated meaning of a passport extension is:
> If it is necessary for an extension to PASSporT to require that a relying party support a particular extended claim or set of claims in the PASSporT object, it can do so by specifying a "ppt" element for the PASSporT JOSE Header.
It's not clear if an "sph" claim can be included in a non-rph passport, I believe this is sensible as an OSP with authority over both the TN and SPH could put both in one passport. However, I think there's some complexity around which certificates have authority over TNs and SPH, so outright banning it seems sensible but I think it should be explicit.
  2.  At the start of the third paragraph of section 4 it states:
> The value of the "sph" claim key should only be "psap-callback" to match the SIP Priority header field value for authorized emergency services callbacks.
It's not clear what the behaviour of the verification service should be if this claim is not present or has a value other than "psap-callback" (or in fact what the behaviour should be if it is present). I think behaviour similar to the "auth" claim is reasonable but I don't have much experience in this area.

Nit:
All of the examples in the document look like this:
     {
       "orig":{"tn":"12155551212"},
       "dest":{["uri":"urn:service:sos"]},
       "iat":1443208345,
       "rph":{"auth":["esnet.1"]}
     }
But I believe the dest field should look like this:
     {
       "orig":{"tn":"12155551212"},
       "dest":{"uri":["urn:service:sos"]},
       "iat":1443208345,
       "rph":{"auth":["esnet.1"]}
     }
(and similarly for all the other examples)

Thanks,
Jack

Sent: 09 October 2020 15:18

NOTE: Message is from an external sender
So, we had discussions with the experts on ‘rph’ and emergency services and agreed to do a 03 rev of this draft that does indeed modify the procedures to remove the ESOrig/ESCallback and incorporate the esnet.x value into the “auth” object array.  Hopefully this addresses the concerns and makes things a bit simpler.  Thanks for the input.

Thanks.

-Chris

Thanks,
Jack

-Chris

Hi Chris,

Thanks,
Jack

Hi Jack,

Thanks.

-Chris

Thanks,
Jack

Does that help?

Brian

Thanks,
Jack

   document.

_______________________________________________
stir mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/stir<https://nam10.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fstir&data=02%7C01%7CJack.Rickard%40metaswitch.com%7Cb515ce1855564e1bf8bf08d86c5e2cd9%7C9d9e56ebf6134ddbb27bbfcdf14b2cdb%7C1%7C0%7C637378499033089305&sdata=OcoFfQsA0ztwXGUgwx4RwzXlBhde62btgll4Hl8ymOA%3D&reserved=0>

---

From: Chris Wendt <[email-masked]>
Date: Fri, 30 Oct 2020 09:52:31 -0400

Hi Jack,

Thanks for the further comments.  I fixed the examples.

For 1. I agree i could have been clearer about the intention so i’ll make sure the usage is clear, but yes ’sph’ is optional and should or should not be included depending on scenario.  The intention was not necessarily to include or be a stand alone ’sph’.  We are only targeting potential emergency services scenarios with a resource priority header or resource priority + priority header.  There is no scenario that we are looking to protect priority alone.

For 2. i will also try to clarify usage, but the simple answer is that relative to emergency services, it’s really only about “psap-callback”.  Not that the door might not be open in the future for other specifications to add other values.

Hoping to send an update soon.

-Chris

> On Oct 26, 2020, at 8:13 AM, Jack Rickard <[email-masked]> wrote:
> 
> At the start of the second paragraph of section 4 it states:
> At the start of the third paragraph of section 4 it states:
> On Sep 3, 2020, at 9:28 AM, Jack Rickard <[email-masked] <mailto:[email-masked]>> wrote:
>  
> https://www.ietf.org/mailman/listinfo/stir <https://nam10.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fstir&data=02%7C01%7CJack.Rickard%40metaswitch.com%7Cb515ce1855564e1bf8bf08d86c5e2cd9%7C9d9e56ebf6134ddbb27bbfcdf14b2cdb%7C1%7C0%7C637378499033089305&sdata=OcoFfQsA0ztwXGUgwx4RwzXlBhde62btgll4Hl8ymOA%3D&reserved=0>